Figure - 0 O Dev #110655
0 O Dev#110122 (New): D MKO 00 0O

0O Dev#110125 (New): O MKO O BSPO O 0 O O
OO Dev#110654 (O O O InProgress): 0 MKDO 00050 O LCDO 0 O O

U MKDO 000050 O LCDO O TC-RID: 1201-01005010 O O O LCDO O

2022-07-2512:52-CD TPM-00 0

Status: O O Resolved Start date: 2022-09-09
Priority: High Due date: 2022-09-12
Assignee: CDBSP-U O % Done: 100%
Category: BSP Estimated time: 0.00 hour
Target version:
Subtasks:
0O Dev#111848: 0 MKO O 0050 O LCDO O TC-RID: 1201-01005010 VVC1-FSE-BU

00 Closed

History

#1 - 2022-07-2512:54-CD TPM-0 0 O
- Parent task changed from #110646 to #110654

#2 - 2022-08-02 14:15-SZTPM-0 O O

- Due date set to 2022-08-10

- Status changed from New to [0 0 O In Progress

- Assignee changed from SZTPM-O 0 0 toO OO 0O _SD3O OO

#3 - 2022-08-02 14:16 - SZTPM-0 O O
- Category changed from 714 to BSP

#4 - 2022-08-04 21:28 - CD TPM-0 0 O

- Subject changed from 0 MKO 0 0050 O LCDO O TC-RID: 0301-01005010 0 O O LCDO O to O MKO 0O 0050 O LCDO O TC-RID: 1201-01005010 O O

gLcooo

#5 - 2022-09-09 13:55 - CD BSP-0J [

- Due date changed from 2022-08-10 to 2022-09-12

- Status changed from 0 O O In Progress to O 00 O Pending

- Assignee changed from 0 0 0 0 _SD30 0 O to CD BSP-00 [
- % Done changed from 0 to 80

#6 - 2022-09-09 13:56 - CD BSP-0J O
- % Done changed from 80 to 50

#7 - 2022-09-21 12:29 - CD BSP-0J O
- Status changed from 0 O O Pending to O O Resolved
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc

vclioooOoooOOOPATCHOOO

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/147791

https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/148123

oooOoooooooon

#8 - 2022-10-09 10:27 - CD BSP-00 O

VX1 EVT2Bringup 00 PATCH
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/154041

#9 - 2022-10-12 18:01 - CD BSP-0 O

VC1EVT2Bringupl O PATCH
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/154523

#10 - 2022-12-22 20:20 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
140601 general/trustzone_images Pre_figure_turbox-c2130c-lal.1-vendo [ yanbin.zhu@thundercomm.com
r-dev

TS-R-DF-110655Change-1d: 13290238c7d7a92f664edae4c954573932064c0a0

BSP:LCD: Change QUPV3_0_SEO to 12C for MAX96755Change QUPV3_0_SEO from SPI to 12C based on HW designTC-RID: 0301-0100501IssuelD:

#11 - 2022-12-22 20:20- CDFwW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
140602 general/aop_proc Pre_figure_turbox-c2130c-lal.1-vendo [ yanbin.zhu@thundercomm.com
r-dev

TS-R-DF-110655Change-1d: 1bdcf9809541c060af5a96538d8928d0d99130b6d

BSP:LCD: Change L1F ON PM8009 to NPM modeChange L1F to NPM mode for power supply of max96755 IOTC-RID: 0301-0100501IssuelD:

#12 - 2022-12-22 20:20 - CD FW-0O0 O
Gerrit Merge Information(]

1D Project Branch Uploader
140603 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo [ yanbin.zhu@thundercomm.com
r-dev
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/147791
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/148123
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/154041
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/154523

BSP:LCD: Add DRM Notifier for wake and sleep(2/2)Add DRM notifier block for device boot, sleep and wakeTC-RID: 0301-01005011ssuelD:
TS-R-DF-110655Change-1d: 1d935706675253f0abc2418f53d840eb155132c3c

#13 - 2022-12-22 20:20 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

140604

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

yanbin.zhu@thundercomm.com

BSP:LCD: Bringup MAX96755 for Displayl. Add driver for MAX96755/752 and keep panel's MCU awake2. Init MAX96755G/F and MAX96752F to enable video
transmissionthrough GMSL LINKTC-RID: 0301-0100501IssuelD: TS-R-DF-110655Change-Id: 1d09e7683c2316cffce1b2a0638¢31d5e281798f6

#14 - 2022-12-22 20:21 - CD FwW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

140610

general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

yanbin.zhu@thundercomm.com

BSP:LCD: Configure Truly Panel as primary displayl. Add a new panel "hx82101-hx8692-truly" based on spec2. Configure the new panel as primary
displayTC-RID: 0301-0100501IssuelD: TS-R-DF-110655Change-1d: 17844b999bal3e537f23e7d108bc8ca805ab3fcff

#15 - 2022-12-22 20:21 - CD Fw-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

140611

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

yanbin.zhu@thundercomm.com

BSP:LCD: Add MAX96755 in DevicetreeAdd MAX96755 in dtsi for driver parsingTC-RID: 0301-0100501IssuelD: TS-R-DF-110655Change-1d:
185c08a695e5ed899fcc640d8f2fa9724f38097a2

#16 - 2022-12-22 20:21 - CD Fw-0 O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

140614

general/platform/vendor/opensource/

display-drivers

Pre_figure_turbox-c2130c-lal.1-vendo
r-dev

yanbin.zhu@thundercomm.com

2025-07-04

3/6




BSP:LCD: Add DRM Notifier for wake and sleep(1/2)Add DRM notifier block for device boot, sleep and wakeTC-RID: 0301-0100501IssuelD:
TS-R-DF-110655Change-Id: 1399b71b4375520d3be95h71448da7fa095a7f55¢

#17 - 2022-12-22 20:22 - CD FwW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

141869

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

yanbin.zhu@thundercomm.com

BSP:LCD: Configure GPIO Of MAX96755/752 for TPConfigure GP102 Of both MAX96755 and MAX96752 for TP IRQConfigure GPIO9 Of MAX96755 and
GP108 Of MAX96752 for TP ResetTC-RID: 0301-0100501IssuelD: TS-R-DF-110655Change-Id: If3fde4e2107118ad2bc4ee2c338a3ac7e5743fa7

#18 - 2022-12-22 20:34 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

150254

general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:LCD: MCE display adapts to boardidMCE display adapts to boardidTC-RID: 1201-0100501IssuelD: TS-R-DF-110655Change-Id:
17aa3e1925954bc1662f5bf9889de4848366db178

#19 - 2022-12-22 20:34 - CDFW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

150256

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:LCD: FSE display adapts to boardidFSE display adapts to boardid TC-RID: 1201-01005011ssuelD: TS-R-DF-110655Change-1d:
1af8916160a3bc08b5763c921e3e419f412c9c9ef

#20 - 2022-12-22 20:34 - CD FwW-0O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

150325

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com
BSP:LCD: MAX96755 adapts to boardidMAX96755 adapts to boardidTC-RID: 1201-0100501IssuelD: TS-R-DF-110655Change-Id:

139346d40e512b2040¢61db440b1d5bh2ac7568f8f

#21 - 2022-12-22 20:40 - CD Fw-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
154041 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | xiaodong.li@thundersoft.com
m/proprietary r-dev

1183b7204ff3be24a3373d46fdeeObbc5e2f9al46

BSP:DTSI: Add Display Config to EVT2 DTSladd display config to evt2 dtsiTC-RID: 1201-01005011ssuelD: TS-R-DF-110655Change-Id:

#22 - 2022-12-22 20:41 - CD Fw-0 O

Gerrit Merge Information(

1D Project Branch Uploader
154523 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
m/proprietary r-dev

1db68db42247a19ec22cc1114151df90ed3f20fb5

BSP:LCD: Add Display Config to EVT2 DTSIAdd display config to VC1 evt2 dtsiTC-RID: 1201-01005011ssuel D: TS-R-DF-110655Change-Id:

#23 - 2022-12-22 20:43 - CD Fw-O O
Gerrit Merge Information(]

1D Project Branch Uploader
155320 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
m/proprietary r-ftm

BSP:LCD: Add Display Config to EVT2 DTSIAdd display config to VC1 evt2 dtsiTC-RID: 1201-0100501IssuelD: TS-R-DF-110655Change-Id:
1db68db42247a19ec22cc1114151df90ed3f20fb5(cherry picked from commit cc1621d2e75ae03bfead45bbe55727elcc5628da)

#24 - 2022-12-22 20:43 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader
155321 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
m/proprietary r-ftm
BSP:DTSI: Add Display Config to EVT2 DTSladd display config to evt2 dtsiTC-RID: 1201-0100501IssuelD: TS-R-DF-110655Change-Id:

1183b7204ff3be24a3373d46fdeeObbc5e2f9al46(cherry picked from commit 2a8ae93cf438chc8604efl4dde613d4af00d8bd2)

#25 - 2022-12-22 20:50 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

160726

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:LCD: Add Display Config to DVT PVT and MP DTSIAdd display config to DVT PVT and MP dtsiTC-RID: 1201-0100501IssuelD:
TS-R-DF-110655Change-Id: 19902e19ee66c449ea7d012ae55h9fd846a4bbala
